Bug 623979 - synch arch/i386/pci/irq-xen.c
synch arch/i386/pci/irq-xen.c
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Laszlo Ersek
Virtualization Bugs
:
Depends On:
Blocks: 514490 561381
  Show dependency treegraph
 
Reported: 2010-08-13 06:44 EDT by Andrew Jones
Modified: 2011-07-21 05:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 05:47:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sync "irq-xen.c" with "irq.c" (1.89 KB, patch)
2010-11-24 16:17 EST, Laszlo Ersek
no flags Details | Diff

  None (edit)
Description Andrew Jones 2010-08-13 06:44:36 EDT
Commit "032e70d [misc] intel: support for Intel Cougar Point Chipset"
missed the corresponding -xen file when patching irq[-xen].c. Since the
same update is needed there, this patch adds it in (along with its
whitespace problem -- for diff sake).
Comment 1 Andrew Jones 2010-08-13 06:55:55 EDT
Also missing hunks from fabba497, ed2d6dfb, and f803151f which I see match upstream's dom0 kernel.  Will include those in this patch as well for a full irq[-xen].c synch.
Comment 2 Andrew Jones 2010-08-13 07:03:12 EDT
Don,

Can you confirm that the irq-xen.c hunks from the commits listed on comment 1 should also be added?

Thanks,
Drew
Comment 3 Paolo Bonzini 2010-11-23 11:01:28 EST
All commits should be added.  3f529aa is also missing.

Moving to 5.7 and reassigning.
Comment 4 Laszlo Ersek 2010-11-24 12:17:04 EST
The following list includes all of the above, and more.

utc                 commit   one-liner
------------------- -------- ---------
2007-04-04 15:52:29 ed2d6dfb ICH9 device IDs
2007-10-15 14:57:18 3f529aa6 [misc] Intel Tolapai SATA and I2C support
2007-10-31 01:58:31 fabba497 patch: 2.6.18.4
2008-02-06 22:40:48 f803151f [misc] ICH10 device IDs
2010-06-21 22:31:30 032e70d  [misc] intel: support for Intel Cougar Point Chipset
2010-11-19 01:40:52 acc2373  [misc] x86/PCI irq and pci_ids for Intel Patsburg Devices
2010-11-19 01:40:53 32e53e3  [misc] pci: update Intel Patsburg defines
2010-11-19 01:40:55 111167c  [misc] another LPC Controller ID for Intel Patsburg PCH
Comment 5 Laszlo Ersek 2010-11-24 16:17:52 EST
Created attachment 462755 [details]
sync "irq-xen.c" with "irq.c"

Ported to upstream as well:

  http://lists.xensource.com/archives/html/xen-devel/2010-11/msg01487.html
Comment 6 Laszlo Ersek 2010-12-02 06:52:39 EST
upstream c/s 1056:dc1d2d3da95f:

http://xenbits.xensource.com/linux-2.6.18-xen.hg?rev/dc1d2d3da95f
Comment 7 RHEL Product and Program Management 2011-02-01 11:52:06 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Jarod Wilson 2011-02-09 09:56:17 EST
in kernel-2.6.18-243.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 11 Jinxin Zheng 2011-04-19 04:12:05 EDT
Do you have any tips on how to do QA over this bug?

Since we have done functional testings for xen with kernel-xen versions newer than -243,and have found no regression due to the patch, would merely sanity checking be OK for this?

If you think it's not enough, please provide us with hardware details and steps to reproduce the problem the patch fixes.
Comment 12 Laszlo Ersek 2011-04-19 05:13:31 EDT
Hello Jinxin,

(In reply to comment #11)
> Do you have any tips on how to do QA over this bug?
> 
> Since we have done functional testings for xen with kernel-xen versions newer
> than -243,and have found no regression due to the patch, would merely sanity
> checking be OK for this?
> 
> If you think it's not enough, please provide us with hardware details and
> steps to reproduce the problem the patch fixes.

In comment 4 I collected the "bare-metal commits" that this bug/patch synchronizes kernel-xen with. Here's another table, associating BZ's with those commits:


BZ	    commit   comment
---	    -------  -------
bug 223097  ed2d6df  Patch to support Intel ICH9 southbridge

bug 251086  3f529aa  Intel Tolapai SATA and I2C(SMBUS) support

no idea     fabba49  "patch: 2.6.18.4", could affect anything with VIA586

bug 251083  f803151  ICH10 southbridge

bug 566854  032e70d  support for Intel Cougar Point Chipset

bug 570868  acc2373  Intel Patsburg Devices
            32e53e3  update Intel Patsburg defines
            111167c  another LPC Controller ID for Intel Patsburg PCH

I think if you'd want to be extra careful, you could look at the individual BZ's for exact hardware models and test methods, and repeat them in dom0 (they should have been on QA at some point).

Lacking the hardware listed in the shortdescs above, I could only build & boot-test this patch.

http://post-office.corp.redhat.com/archives/rhkernel-list/2010-November/msg01377.html
Comment 13 Jinxin Zheng 2011-05-19 23:04:14 EDT
We can boot and test on ICH9 and ICH10, but we do not have the other listed hardware.
Comment 14 Jinxin Zheng 2011-05-19 23:07:29 EDT
Hello Seth, can we get your help to test this on Cougar Point and Patsburg, and even VIA586 and Tolapai?
Comment 15 Jinxin Zheng 2011-06-09 02:33:39 EDT
Xen works on Patsburg according to what Seth Heasley said in a mail.
Comment 16 Jinxin Zheng 2011-06-12 22:49:50 EDT
Only got a reply from Seth Heasley from Intel about Xen working on Patsburg. No results for the other hardware: Cougar Point, VIA586, Tolapai.

According to our test results for recent builds of kernel-xen, this is not causing a serious problem. I'm marking this Verified:SanitiOnly.
Comment 17 errata-xmlrpc 2011-07-21 05:47:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1065.html

Note You need to log in before you can comment on or make changes to this bug.